Bug 78860 - CHART: cannot open chart data table
Summary: CHART: cannot open chart data table
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha1
Hardware: All All
: high normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.4.0 target:4.3.0.1
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2014-05-18 12:52 UTC by Mihkel Tõnnov
Modified: 2015-12-17 08:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mihkel Tõnnov 2014-05-18 12:52:30 UTC
When editing a chart in Writer or Calc, the menu command and button named "Chart Data Table" are grayed out, which means I can't open the dialog.

Using LibreOffice 4.3.0 alpha 1 DEB (32 bit) packages as published by TDF.

Regression since 4.2.x.
Comment 1 Jorendc 2014-05-20 18:15:15 UTC
Thanks for reporting!

Repro, tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha1+
Build ID: cd11bc699ac50af4f560ed5f2e5e7903de0898b8
TinderBox: Win-x86@51-TDF, Branch:MASTER, Time: 2014-05-20_08:02:54

Not reproducible using LibreOffice 4.2.4.2.

What I did:
* Open Calc
* Type some random numbers and create a chart out of it (doesn't matter which one)
* Deselect the chart
* Select and copy it
* Open Writer
* Past the chart
* Select chart in writer

Behavior: icon 'Chart Data Table' in the toolbar is greyed out.

Kind regards,
Joren
Comment 2 Joel Madero 2014-05-21 02:03:27 UTC
Not the best bibisect but better than nothing (maybe?)

There are only 'skip'ped commits left to test.
The first bad commit could be any of:
6629d3c6a4af73ae7d79eb56c8797fc270368b32
94ab8fa9162995e26e476dafae21b819ea82ebd8
76e1d833d7c03e8bdffa74be6a52800742abca5d
We cannot bisect more!


# bad: [ea24c76037fa8056fb1ed916f4d5e765ebc71f8f] source-hash-46cfcd5a05aa1d13fecd73f5a25b64b8d8dd6781
# good: [6ab7f53af36f13bbefdd4e4fcbd3d1ea432a77d9] source-hash-22029c7e17b4cb48acb058d47ec9c3b6b8b6b294
git bisect start 'latest' 'oldest'
# good: [45f8b50e2e33d2125a348134dd931ba01c70fe63] source-hash-0141153498bc34237d5b7dd72226ac2a03bbd11d
git bisect good 45f8b50e2e33d2125a348134dd931ba01c70fe63
# good: [5db055097f534d5688da0ca8cea9ac65c542895f] source-hash-7b56d303300fbf592473b28b654fd22fec110962
git bisect good 5db055097f534d5688da0ca8cea9ac65c542895f
# bad: [21136876a817597e0d2907f7130218942c95d0d1] source-hash-214751e3cc5b154d90963f4abf0a9317733b001b
git bisect bad 21136876a817597e0d2907f7130218942c95d0d1
# bad: [32ff180d6fc27d04b98988f688ca48c6c607e983] source-hash-4f48dc2f978d36ef9ba08bf828894fa578430fc7
git bisect bad 32ff180d6fc27d04b98988f688ca48c6c607e983
# good: [683127880e60867842e0117f94d0efd1f84a95bf] source-hash-eceba5512636445c9ce827e2d6151875a4fc4673
git bisect good 683127880e60867842e0117f94d0efd1f84a95bf
# skip: [94ab8fa9162995e26e476dafae21b819ea82ebd8] source-hash-c7363cb6d1d31f2a7d40a76e62b5934629a1a8a1
git bisect skip 94ab8fa9162995e26e476dafae21b819ea82ebd8
# skip: [6629d3c6a4af73ae7d79eb56c8797fc270368b32] source-hash-a79afdaa11a1af26c9404441dcf27ef197e972b2
git bisect skip 6629d3c6a4af73ae7d79eb56c8797fc270368b32
# good: [2e3c506e3f0b5ec9fdc927703daf27999ea43762] source-hash-5b4b6b2aad548cdc27ba2aa7d87ff584ec7e97dd
git bisect good 2e3c506e3f0b5ec9fdc927703daf27999ea43762
# bad: [76e1d833d7c03e8bdffa74be6a52800742abca5d] source-hash-b7c3e851465638d4416ca8837937946353561088
git bisect bad 76e1d833d7c03e8bdffa74be6a52800742abca5d
# only skipped commits left to test
# possible first bad commit: [76e1d833d7c03e8bdffa74be6a52800742abca5d] source-hash-b7c3e851465638d4416ca8837937946353561088
# possible first bad commit: [6629d3c6a4af73ae7d79eb56c8797fc270368b32] source-hash-a79afdaa11a1af26c9404441dcf27ef197e972b2
# possible first bad commit: [94ab8fa9162995e26e476dafae21b819ea82ebd8] source-hash-c7363cb6d1d31f2a7d40a76e62b5934629a1a8a1
Comment 3 Joel Madero 2014-05-21 02:03:51 UTC
@Mihkel - in the future please provide steps on how to reproduce (such as how Joren did). Thanks!
Comment 4 Kohei Yoshida 2014-05-21 02:27:11 UTC
Data table is enabled only when you create a chart with its own data source.  If you create a chart from existing data from Calc or Writer table, data table becomes disabled, and that's expected.
Comment 5 Kohei Yoshida 2014-05-21 02:31:10 UTC
That said, what Joren described in Comment 1 is a regression, indeed, though the original bug report didn't say that.
Comment 6 Mihkel Tõnnov 2014-05-21 06:17:55 UTC
(In reply to comment #5)
> That said, what Joren described in Comment 1 is a regression, indeed, though
> the original bug report didn't say that.

Yeah, sorry... Anyway, what Joren said was exactly what I meant (but failed to explicate) in the original report.
Comment 7 Firas Hanife 2014-05-23 18:14:05 UTC
I have the same issue.
I also noticed that if you double-click on the chart, then right-click, in the menu shown the entry "Char Data Table..." (under "Char Type...") is missing, while it is present in 4.2.x and 4.1.x.
Not sure if that is related to the fact that the icon in the toolbar is greyed out.
Comment 8 Commit Notification 2014-06-06 15:26:04 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c4ac853409afcb451bed0d044d36131a08e8e403

fdo#78860: Swap the logic here: Disable -> Enable.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Kohei Yoshida 2014-06-06 15:27:15 UTC
bibisect is wrong again.  It apparently doesn't work well against my commits. :-P
Comment 10 Commit Notification 2014-06-06 15:27:36 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3b61e6ceca567ea94a0ec35e49f49addd216358b&h=libreoffice-4-3

fdo#78860: Swap the logic here: Disable -> Enable.


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Kohei Yoshida 2014-06-06 15:29:22 UTC
Fixed.   This one is 4.3 only.
Comment 12 Robinson Tryon (qubit) 2015-12-17 08:10:55 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]